Upgrading for compatibility with Mac M1 Hardware

  • 165 Views
  • Last Post 06 April 2022
Sam Edwards posted this 05 April 2022

I have several Pegasus1 and Pegasus2 chassis, all of which hard freeze my M1 MBP Max when connected, if the Promise Utility is running. The screen goes black and the mac reboots.

 

The Utility runs as expected when I have only Pegasus 3.2 connected.

 

Is there any hope of releasing a utility that works with older Pegasus drives? 

 

Can I migrate my hard drives to a newer chassis? 

 

I don't think I'm going back to Intel Macs.

 

Thanks,

Sam

  • Liked by
  • chris umbricht
Sam Edwards posted this 06 April 2022

If you're going to EOL people's core storage devices, it woulde be nice to offer chassis upgrades for our drives.

 

  • Liked by
  • chris umbricht
Close